Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge.http
Class IContextServer.Channel

    java.lang.Object
      php.java.bridge.http.IContextServer.Channel

Enclosing interface:
  IContextServer

    public abstract static class IContextServer.Channel

extends java.lang.Object

Represents the pipe or socket channel.

Author:
  jostb

Constructor Summary
`IContextServer.Channel()`

Method Summary
`abstract java.io.InputStream` | `getInputStream()` Returns the channel's input stream.
`abstract java.lang.String` | `getName()` Returns the name of the channel, for example the socket # or the pipe name.
`abstract java.io.OutputStream` | `getOuptutStream()` Returns the channel's output stream.
`abstract void` | `shutdown()` Shut down the channel, closes the in- and output stream and other resources.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IContextServer.Channel

    public IContextServer.Channel()

Method Detail

### getInputStream

    public abstract java.io.InputStream getInputStream()
                                                throws java.io.FileNotFoundException

  Returns the channel's input stream.

  Returns:
    The InputStream
  Throws:
    `java.io.FileNotFoundException`

### getOuptutStream

    public abstract java.io.OutputStream getOuptutStream()
                                                  throws java.io.FileNotFoundException

  Returns the channel's output stream.

  Returns:
    The OutputStream.
  Throws:
    `java.io.FileNotFoundException`

### shutdown

    public abstract void shutdown()

  Shut down the channel, closes the in- and output stream and other resources.

### getName

    public abstract java.lang.String getName()

  Returns the name of the channel, for example the socket # or the pipe name.

  Returns:
    the name of the channel.
  See Also:
    `IContextServer.ChannelName.getDefaultName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD